function OnWarpEnter() 
	SetMarker("cs\\Warp_0058.wp" , 0 , 0) 

--	AnimationSetToEnd("fbc1",false)
	StartAnimationPart("fbc1",1,2,-1,true)
	SetMarker("MAGNA_BOOK",4,0)
	SetMarker("CANDLES",4,0)	

end

function OnWarpLeave()
end

function OnDialogFinished(dialogName)
	if dialogName == "Ma2713" then
		SetMarker("MAGNA_BOOK",4,0)
		AMP2Seen = true
	end
	if dialogName == "Ma2714" then
		SetMarker("MAGNA_BOOK",4,0)
	end
	if dialogName == "Ma0214" then
		SetMarker("CANDLES",4,0)	
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0058.wp" then
		if OPENED_HIDDEN_ROOM then
			PlaySound("Sounds/SFX/E_Armoire_Fermeture.ogg",1)
			OPENED_HIDDEN_ROOM = false
		end

		if HIDDEN_ROOM_LIGHTENED then
			ChangeWarp("3D\\cs\\Warp_0158.wp")
		else
			ChangeWarp(objectName)
		end
	end

	if objectName == "fbc1" then
	elseif objectName == "3D\\MAGNA_BOOK" then
		SetMarker("MAGNA_BOOK",-1,0)
		if not AMP2Seen then
			DrawText("Ma2710","Ma2710.ogg", 0) -- On dirait un autre volume de l'Astronomia Magna. Mais  il est vide, quelqu'un a dû passer avant moi. 
			DrawText("Ma2711","Ma2711.ogg", 0) -- A moins que je ne me sois trompée.
			DrawText("Ma2712","Ma2712.ogg", 0) -- La seule façon de m'en assurer est de trouver un autre volume.
			DrawText("Ma2713","Ma2713.ogg", 0) -- Et pour cela, un peu plus de lumière ne serait pas superflu.
		else
			DrawText("Ma2714","Ma2714.ogg", 0) -- Ce tome est vide, mais il m'en reste encore deux à trouver.
		end
	elseif objectName == "3D\\CANDLES"  then
		SetMarker("CANDLES",-1,0)
		if Selected("A_briquet") then
			HIDDEN_ROOM_LIGHTENED = true
			ChangeWarp("3D\\cs\\Warp_0159.wp", false)
		else
			DrawText("Ma0214","Ma0214.ogg", 0) -- Ce n'est pas une mauvaise idée mais il manque quelque chose
		end
	elseif objectName == "fcc1" then

	elseif objectName == "fdc1" then

	end

end
